PortAudio 2.0

Data Fields
PaHostErrorInfo Struct Reference

`#include <portaudio.h>`

## Data Fields
PaHostApiTypeId | hostApiType
long | errorCode
const char * | errorText

## Detailed Description

Structure used to return information about a host error condition.

Definition at line 389 of file portaudio.h.

## Field Documentation

## ◆ errorCode

long PaHostErrorInfo::errorCode

the error code returned

Definition at line 391 of file portaudio.h.

## ◆ errorText

const char* PaHostErrorInfo::errorText

a textual description of the error if available, otherwise a zero-length string

Definition at line 392 of file portaudio.h.

## ◆ hostApiType

PaHostApiTypeId PaHostErrorInfo::hostApiType

the host API which returned the error code

Definition at line 390 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h